define(["require", "exports", "tslib", "react", "office-ui-fabric-react/lib/Button", "office-ui-fabric-react/lib/Panel", "@uifabric/utilities", "office-ui-fabric-react/lib/Toggle"], function (require, exports, tslib_1, React, Button_1, Panel_1, utilities_1, Toggle_1) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    var PanelPreventDefaultExample = /** @class */ (function (_super) {
        tslib_1.__extends(PanelPreventDefaultExample, _super);
        function PanelPreventDefaultExample(props) {
            var _this = _super.call(this, props) || this;
            _this.onKeyDown = function (ev) {
                if (ev.keyCode === utilities_1.KeyCodes.escape) {
                    ev.preventDefault();
                    ev.stopPropagation();
                }
            };
            _this.toggleAllowEsc = function () {
                _this.setState({ allowEsc: !_this.state.allowEsc });
            };
            _this.onDismiss = function (ev) {
                if (ev && ev.keyCode === utilities_1.KeyCodes.escape && !_this.state.allowEsc) {
                    ev.preventDefault();
                    return;
                }
                _this.setState({ showPanel: false });
            };
            _this.state = { showPanel: false, allowEsc: true };
            return _this;
        }
        PanelPreventDefaultExample.prototype.render = function () {
            var _this = this;
            return (React.createElement("div", null,
                React.createElement(Button_1.DefaultButton, { secondaryText: "Opens the Sample Panel", 
                    // tslint:disable-next-line:jsx-no-lambda
                    onClick: function () { return _this.setState({ showPanel: true }); }, text: "Open Panel" }),
                React.createElement(Panel_1.Panel, { isOpen: this.state.showPanel, type: Panel_1.PanelType.smallFixedNear, 
                    // tslint:disable-next-line:jsx-no-lambda
                    onDismiss: this.onDismiss, headerText: "Panel" },
                    React.createElement("div", null, "Hitting escape inside the text area will not close the Panel"),
                    React.createElement("textarea", { onKeyDown: this.onKeyDown }),
                    React.createElement(Toggle_1.Toggle, { checked: this.state.allowEsc, onChange: this.toggleAllowEsc, label: "Allow ESC key to close panel" }))));
        };
        return PanelPreventDefaultExample;
    }(React.Component));
    exports.PanelPreventDefaultExample = PanelPreventDefaultExample;
});
//# sourceMappingURL=Panel.PreventDefault.Example.js.map