/// <reference types="react" />
import { BaseComponent } from '../../Utilities';
import { IColorPickerProps, IColorPicker } from './ColorPicker.types';
import { IColor } from '../../utilities/color/colors';
export interface IColorPickerState {
    color: IColor;
}
export declare class ColorPickerBase extends BaseComponent<IColorPickerProps, IColorPickerState> implements IColorPicker {
    static defaultProps: {
        hexLabel: string;
        redLabel: string;
        greenLabel: string;
        blueLabel: string;
        alphaLabel: string;
    };
    private _rgbaChangeHandlers;
    private _rgbaLabels;
    constructor(props: IColorPickerProps);
    readonly color: IColor;
    componentWillReceiveProps(newProps: IColorPickerProps): void;
    render(): JSX.Element;
    private _onSVChanged;
    private _onHChanged;
    private _onAChanged;
    private _onHexChanged;
    private _onRGBAChanged(component, event, newValue?);
    private _updateColor(newColor?);
}
