"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var React = require("react");
var DocumentCard_1 = require("office-ui-fabric-react/lib/DocumentCard");
var Image_1 = require("office-ui-fabric-react/lib/Image");
var TestImages_1 = require("../../../common/TestImages");
var DocumentCardCompleteExample = /** @class */ (function (_super) {
    tslib_1.__extends(DocumentCardCompleteExample, _super);
    function DocumentCardCompleteExample() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    DocumentCardCompleteExample.prototype.render = function () {
        var previewProps = {
            getOverflowDocumentCountText: function (overflowCount) { return "+" + overflowCount + " more"; },
            previewImages: [
                {
                    name: '2016 Conference Presentation',
                    linkProps: {
                        href: 'http://bing.com'
                    },
                    previewImageSrc: TestImages_1.TestImages.documentPreview,
                    iconSrc: TestImages_1.TestImages.iconPpt,
                    imageFit: Image_1.ImageFit.cover,
                    width: 318,
                    height: 196
                },
                {
                    name: 'New Contoso Collaboration for Conference Presentation Draft',
                    linkProps: {
                        href: 'http://bing.com'
                    },
                    previewImageSrc: TestImages_1.TestImages.documentPreviewTwo,
                    iconSrc: TestImages_1.TestImages.iconPpt,
                    imageFit: Image_1.ImageFit.cover,
                    width: 318,
                    height: 196
                },
                {
                    name: 'Spec Sheet for design',
                    linkProps: {
                        href: 'http://bing.com'
                    },
                    previewImageSrc: TestImages_1.TestImages.documentPreviewThree,
                    iconSrc: TestImages_1.TestImages.iconPpt,
                    imageFit: Image_1.ImageFit.cover,
                    width: 318,
                    height: 196
                },
                {
                    name: 'Contoso Marketing Presentation',
                    linkProps: {
                        href: 'http://bing.com'
                    },
                    previewImageSrc: TestImages_1.TestImages.documentPreview,
                    iconSrc: TestImages_1.TestImages.iconPpt,
                    imageFit: Image_1.ImageFit.cover,
                    width: 318,
                    height: 196
                },
                {
                    name: 'Notes from Ignite conference',
                    linkProps: {
                        href: 'http://bing.com'
                    },
                    previewImageSrc: TestImages_1.TestImages.documentPreviewTwo,
                    iconSrc: TestImages_1.TestImages.iconPpt,
                    imageFit: Image_1.ImageFit.cover,
                    width: 318,
                    height: 196
                },
                {
                    name: 'FY17 Cost Projections',
                    linkProps: {
                        href: 'http://bing.com'
                    },
                    previewImageSrc: TestImages_1.TestImages.documentPreviewThree,
                    iconSrc: TestImages_1.TestImages.iconPpt,
                    imageFit: Image_1.ImageFit.cover,
                    width: 318,
                    height: 196
                }
            ]
        };
        var previewPropsUsingIcon = {
            previewImages: [
                {
                    previewIconProps: { iconName: 'OpenFile', styles: { root: { fontSize: 42, color: '#ffffff' } } },
                    width: 318,
                    height: 196
                }
            ]
        };
        var logoProps = {
            logoIcon: 'OutlookLogo'
        };
        return (React.createElement("div", null,
            React.createElement(DocumentCard_1.DocumentCard, { onClick: this._onClick },
                React.createElement(DocumentCard_1.DocumentCardPreview, tslib_1.__assign({}, previewProps)),
                React.createElement(DocumentCard_1.DocumentCardLocation, { location: "Marketing Documents", locationHref: "http://microsoft.com", ariaLabel: "Location, Marketing Documents" }),
                React.createElement(DocumentCard_1.DocumentCardTitle, { title: "6 files were uploaded" }),
                React.createElement(DocumentCard_1.DocumentCardActivity, { activity: "Created Feb 23, 2016", people: [
                        { name: 'Annie Lindqvist', profileImageSrc: TestImages_1.TestImages.personaFemale },
                        { name: 'Roko Kolar', profileImageSrc: '', initials: 'JH' },
                        { name: 'Greta Lundberg', profileImageSrc: TestImages_1.TestImages.personaFemale }
                    ] }),
                React.createElement(DocumentCard_1.DocumentCardActions, { actions: [
                        {
                            iconProps: { iconName: 'Share' },
                            onClick: function (ev) {
                                console.log('You clicked the share action.');
                                ev.preventDefault();
                                ev.stopPropagation();
                            },
                            ariaLabel: 'share action'
                        },
                        {
                            iconProps: { iconName: 'Pin' },
                            onClick: function (ev) {
                                console.log('You clicked the pin action.');
                                ev.preventDefault();
                                ev.stopPropagation();
                            },
                            ariaLabel: 'pin action'
                        },
                        {
                            iconProps: { iconName: 'Ringer' },
                            onClick: function (ev) {
                                console.log('You clicked the ringer action.');
                                ev.preventDefault();
                                ev.stopPropagation();
                            },
                            ariaLabel: 'ringer action'
                        }
                    ], views: 432 })),
            React.createElement("p", null),
            "Card Logo, Text Preview CardStatus are used on below examples.",
            React.createElement("p", null),
            React.createElement(DocumentCard_1.DocumentCard, { onClickHref: "http://bing.com" },
                React.createElement(DocumentCard_1.DocumentCardLogo, tslib_1.__assign({}, logoProps)),
                React.createElement("div", { className: "ms-ConversationTile-TitlePreviewArea" },
                    React.createElement(DocumentCard_1.DocumentCardTitle, { title: "Conversation about annual report a very long long name, Title should be truncated on the long name.", shouldTruncate: true }),
                    React.createElement(DocumentCard_1.DocumentCardTitle, { title: "This is the email content preview, please feel free to give feedback.\n                SharePoint Site Activity add conversation card! This is the last.", shouldTruncate: true, showAsSecondaryTitle: true }),
                    React.createElement(DocumentCard_1.DocumentCardStatus, { statusIcon: "attach", status: " 3 Attachments" })),
                React.createElement(DocumentCard_1.DocumentCardActivity, { activity: "Sent March 13, 2018", people: [
                        { name: 'Annie Lindqvist', profileImageSrc: TestImages_1.TestImages.personaFemale },
                        { name: 'Roko Kolar', profileImageSrc: '', initials: 'JH' },
                        { name: 'Greta Lundberg', profileImageSrc: TestImages_1.TestImages.personaFemale }
                    ] })),
            React.createElement("p", null),
            React.createElement(DocumentCard_1.DocumentCard, { onClickHref: "http://bing.com" },
                React.createElement(DocumentCard_1.DocumentCardLogo, tslib_1.__assign({}, logoProps)),
                React.createElement("div", { className: "ms-ConversationTile-TitlePreviewArea" },
                    React.createElement(DocumentCard_1.DocumentCardTitle, { title: "Conversation about annual Report" }),
                    React.createElement(DocumentCard_1.DocumentCardTitle, { title: "This is the email content preview, help.", showAsSecondaryTitle: true }),
                    React.createElement(DocumentCard_1.DocumentCardStatus, { statusIcon: "attach", status: " 3 Attachments" })),
                React.createElement(DocumentCard_1.DocumentCardActivity, { activity: "Sent March 13, 2018", people: [
                        { name: 'Annie Lindqvist', profileImageSrc: TestImages_1.TestImages.personaFemale },
                        { name: 'Roko Kolar', profileImageSrc: '', initials: 'JH' },
                        { name: 'Greta Lundberg', profileImageSrc: TestImages_1.TestImages.personaFemale }
                    ] })),
            React.createElement("p", null),
            React.createElement(DocumentCard_1.DocumentCard, { onClickHref: "http://bing.com" },
                React.createElement(DocumentCard_1.DocumentCardLogo, tslib_1.__assign({}, logoProps)),
                React.createElement("div", { className: "ms-ConversationTile-TitlePreviewArea" },
                    React.createElement(DocumentCard_1.DocumentCardTitle, { title: "Conversation about annual report", shouldTruncate: true }),
                    React.createElement(DocumentCard_1.DocumentCardTitle, { title: "This is the email content preview, please feel free to give!", shouldTruncate: true, showAsSecondaryTitle: true })),
                React.createElement(DocumentCard_1.DocumentCardActivity, { activity: "Sent March 13, 2018", people: [
                        { name: 'Annie Lindqvist', profileImageSrc: TestImages_1.TestImages.personaFemale },
                        { name: 'Roko Kolar', profileImageSrc: '', initials: 'JH' },
                        { name: 'Greta Lundberg', profileImageSrc: TestImages_1.TestImages.personaFemale }
                    ] })),
            React.createElement("p", null),
            React.createElement(DocumentCard_1.DocumentCard, { onClickHref: "http://bing.com" },
                React.createElement(DocumentCard_1.DocumentCardPreview, tslib_1.__assign({}, previewPropsUsingIcon)),
                React.createElement(DocumentCard_1.DocumentCardDetails, null,
                    React.createElement(DocumentCard_1.DocumentCardTitle, { title: "View and share files", shouldTruncate: true }),
                    React.createElement(DocumentCard_1.DocumentCardActivity, { activity: "Created a few minutes ago", people: [{ name: 'Kat Larrson', profileImageSrc: TestImages_1.TestImages.personaFemale }] }))),
            React.createElement("p", null),
            React.createElement(DocumentCard_1.DocumentCard, { onClickHref: "http://bing.com" },
                React.createElement(DocumentCard_1.DocumentCardImage, { height: 100, imageFit: Image_1.ImageFit.cover, iconProps: { iconName: 'OneNoteLogo', styles: { root: { color: '#813a7c' } } }, imageSrc: TestImages_1.TestImages.documentPreviewTwo }),
                React.createElement(DocumentCard_1.DocumentCardDetails, null,
                    React.createElement(DocumentCard_1.DocumentCardTitle, { title: "How to make good design", shouldTruncate: true })),
                React.createElement(DocumentCard_1.DocumentCardActivity, { activity: "Modified March 13, 2018", people: [
                        { name: 'Annie Lindqvist', profileImageSrc: TestImages_1.TestImages.personaFemale },
                        { name: 'Roko Kolar', profileImageSrc: '', initials: 'JH' }
                    ] })),
            React.createElement("p", null),
            React.createElement(DocumentCard_1.DocumentCard, { onClickHref: "http://bing.com" },
                React.createElement(DocumentCard_1.DocumentCardImage, { height: 150, imageFit: Image_1.ImageFit.cover, iconProps: {
                        iconName: 'OneNoteLogo',
                        styles: { root: { color: '#813a7c', fontSize: '120px', width: '120px', height: '120px' } }
                    } }),
                React.createElement(DocumentCard_1.DocumentCardDetails, null,
                    React.createElement(DocumentCard_1.DocumentCardTitle, { title: "How to make good design without an image", shouldTruncate: true })),
                React.createElement(DocumentCard_1.DocumentCardActivity, { activity: "Modified January 1, 2019", people: [{ name: 'Roko Kolar', profileImageSrc: '', initials: 'JH' }] }))));
    };
    DocumentCardCompleteExample.prototype._onClick = function () {
        console.log('You clicked the card.');
    };
    return DocumentCardCompleteExample;
}(React.Component));
exports.DocumentCardCompleteExample = DocumentCardCompleteExample;
//# sourceMappingURL=DocumentCard.Complete.Example.js.map