import * as React from 'react';
import { TextFieldBasicExample } from './examples/TextField.Basic.Example';
import { TextFieldBorderlessExample } from './examples/TextField.Borderless.Example';
import { TextFieldCustomRenderExample } from './examples/TextField.CustomRender.Example';
import { TextFieldErrorMessageExample } from './examples/TextField.ErrorMessage.Example';
import { TextFieldIconExample } from './examples/TextField.Icon.Example';
import { TextFieldMultilineExample } from './examples/TextField.Multiline.Example';
import { TextFieldPlaceholderExample } from './examples/TextField.Placeholder.Example';
import { TextFieldPrefixExample } from './examples/TextField.Prefix.Example';
import { TextFieldPrefixAndSuffixExample } from './examples/TextField.PrefixAndSuffix.Example';
import { TextFieldStatus } from './TextField.checklist';
import { TextFieldStyledExample } from './examples/TextField.Styled.Example';
import { TextFieldSuffixExample } from './examples/TextField.Suffix.Example';
import { TextFieldUnderlinedExample } from './examples/TextField.Underlined.Example';
import { TextFieldAutoCompleteExample } from './examples/TextField.AutoComplete.Example';
import { TextFieldOnRenderDescriptionExample } from './examples/TextField.OnRenderDescription.Example';
var TextFieldBasicExampleCode = require('!raw-loader!office-ui-fabric-react/src/components/TextField/examples/TextField.Basic.Example.tsx');
var TextFieldBasicExampleCodepen = require('!raw-loader!office-ui-fabric-react/lib/codepen/components/TextField/TextField.Basic.Example.Codepen.txt');
var TextFieldBorderlessExampleCode = require('!raw-loader!office-ui-fabric-react/src/components/TextField/examples/TextField.Borderless.Example.tsx');
var TextFieldBorderlessExampleCodepen = require('!raw-loader!office-ui-fabric-react/lib/codepen/components/TextField/TextField.Borderless.Example.Codepen.txt');
var TextFieldCustomRenderExampleCode = require('!raw-loader!office-ui-fabric-react/src/components/TextField/examples/TextField.CustomRender.Example.tsx');
var TextFieldErrorMessageExampleCode = require('!raw-loader!office-ui-fabric-react/src/components/TextField/examples/TextField.ErrorMessage.Example.tsx');
var TextFieldIconExampleCode = require('!raw-loader!office-ui-fabric-react/src/components/TextField/examples/TextField.Icon.Example.tsx');
var TextFieldMultilineExampleCode = require('!raw-loader!office-ui-fabric-react/src/components/TextField/examples/TextField.Multiline.Example.tsx');
var TextFieldPlaceholderExampleCode = require('!raw-loader!office-ui-fabric-react/src/components/TextField/examples/TextField.Placeholder.Example.tsx');
var TextFieldPlaceholderExampleCodepen = require('!raw-loader!office-ui-fabric-react/lib/codepen/components/TextField/TextField.Placeholder.Example.Codepen.txt');
var TextFieldPrefixExampleCode = require('!raw-loader!office-ui-fabric-react/src/components/TextField/examples/TextField.Prefix.Example.tsx');
var TextFieldPrefixAndSuffixExampleCode = require('!raw-loader!office-ui-fabric-react/src/components/TextField/examples/TextField.PrefixAndSuffix.Example.tsx');
var TextFieldStyledExampleCode = require('!raw-loader!office-ui-fabric-react/src/components/TextField/examples/TextField.Styled.Example.tsx');
var TextFieldSuffixExampleCode = require('!raw-loader!office-ui-fabric-react/src/components/TextField/examples/TextField.Suffix.Example.tsx');
var TextFieldUnderlinedExampleCode = require('!raw-loader!office-ui-fabric-react/src/components/TextField/examples/TextField.Underlined.Example.tsx');
var TextFieldUnderlinedExampleCodepen = require('!raw-loader!office-ui-fabric-react/lib/codepen/components/TextField/TextField.Underlined.Example.Codepen.txt');
var TextFieldAutoCompleteExampleCode = require('!raw-loader!office-ui-fabric-react/src/components/TextField/examples/TextField.AutoComplete.Example.tsx');
var TextFieldOnRenderDescriptionExampleCode = require('!raw-loader!office-ui-fabric-react/src/components/TextField/examples/TextField.OnRenderDescription.Example.tsx');
export var TextFieldPageProps = {
    title: 'TextField',
    componentName: 'TextField',
    componentUrl: 'https://github.com/OfficeDev/office-ui-fabric-react/tree/master/packages/office-ui-fabric-react/src/components/TextField',
    componentStatus: TextFieldStatus,
    examples: [
        {
            title: 'Default TextField with Label',
            code: TextFieldBasicExampleCode,
            view: React.createElement(TextFieldBasicExample, null),
            codepenJS: TextFieldBasicExampleCodepen
        },
        {
            title: 'TextField with Placeholder',
            code: TextFieldPlaceholderExampleCode,
            view: React.createElement(TextFieldPlaceholderExample, null),
            codepenJS: TextFieldPlaceholderExampleCodepen
        },
        {
            title: 'Multiline TextField',
            code: TextFieldMultilineExampleCode,
            view: React.createElement(TextFieldMultilineExample, null)
        },
        {
            title: 'Underlined TextField',
            code: TextFieldUnderlinedExampleCode,
            view: React.createElement(TextFieldUnderlinedExample, null),
            codepenJS: TextFieldUnderlinedExampleCodepen
        },
        {
            title: 'Borderless TextField',
            code: TextFieldBorderlessExampleCode,
            view: React.createElement(TextFieldBorderlessExample, null),
            codepenJS: TextFieldBorderlessExampleCodepen
        },
        {
            title: 'TextField with browser AutoComplete',
            code: TextFieldAutoCompleteExampleCode,
            view: React.createElement(TextFieldAutoCompleteExample, null)
        }
    ],
    implementationExamples: [
        {
            title: 'Textfield with a prefix',
            code: TextFieldPrefixExampleCode,
            view: React.createElement(TextFieldPrefixExample, null)
        },
        {
            title: 'Textfield with a suffix',
            code: TextFieldSuffixExampleCode,
            view: React.createElement(TextFieldSuffixExample, null)
        },
        {
            title: 'Textfield with a prefix and a suffix',
            code: TextFieldPrefixAndSuffixExampleCode,
            view: React.createElement(TextFieldPrefixAndSuffixExample, null)
        },
        {
            title: 'TextField with an icon',
            code: TextFieldIconExampleCode,
            view: React.createElement(TextFieldIconExample, null)
        },
        {
            title: 'TextField with custom Label',
            code: TextFieldCustomRenderExampleCode,
            view: React.createElement(TextFieldCustomRenderExample, null)
        },
        {
            title: 'TextField with custom description',
            code: TextFieldOnRenderDescriptionExampleCode,
            view: React.createElement(TextFieldOnRenderDescriptionExample, null)
        },
        {
            title: 'TextField error message variations',
            code: TextFieldErrorMessageExampleCode,
            view: React.createElement(TextFieldErrorMessageExample, null)
        },
        {
            title: 'TextField Subcomponent Styling',
            code: TextFieldStyledExampleCode,
            view: React.createElement(TextFieldStyledExample, null)
        }
    ],
    propertiesTablesSources: [require('!raw-loader!office-ui-fabric-react/src/components/TextField/TextField.types.ts')],
    overview: require('!raw-loader!office-ui-fabric-react/src/components/TextField/docs/TextFieldOverview.md'),
    bestPractices: '',
    dos: require('!raw-loader!office-ui-fabric-react/src/components/TextField/docs/TextFieldDos.md'),
    donts: require('!raw-loader!office-ui-fabric-react/src/components/TextField/docs/TextFieldDonts.md'),
    isHeaderVisible: true,
    isFeedbackVisible: true,
    allowNativeProps: true,
    nativePropsElement: ['input', 'textarea']
};
//# sourceMappingURL=TextField.doc.js.map